#
# spec file for package ghc-base64-bytestring
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name base64-bytestring

Name:           ghc-base64-bytestring
Version:        1.0.0.1
Release:        6.5
Summary:        Haskell base64 encoding and decoding for ByteStrings
License:        BSD-3-Clause
Group:          System/Libraries          

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
# End cabal-rpm deps

%description
Haskell library for fast base64 encoding and decoding for ByteStrings.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other          
Requires:       ghc-compiler
Requires(post): ghc-compiler
Requires(postun): ghc-compiler
Requires:       %{name} = %{version}-%{release}

%description devel
Fast base64 encoding and decoding for ByteStrings library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
%doc README.markdown

%changelog
* Mon May 13 2013 peter.trommler@ohm-hochschule.de
- new packaging guidelines
  * no macros spanning multiple spec file sections
* Mon May 13 2013 peter.trommler@ohm-hochschule.de
- update to 1.0.0.1 from upstream
- performance improvements
  * encoding 5%%
  * decodeLenient 50%%
* Sun Nov 18 2012 peter.trommler@ohm-hochschule.de
- update to 1.0.0.0 from upstream
  * relaxed version constraints on bytestring
* Wed Oct  3 2012 peter.trommler@ohm-hochschule.de
- update to 0.1.2.0 from upstream
  * fixes joinWith (bug #7)
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 template for spec file
* Fri Apr 20 2012 peter.trommler@ohm-hochschule.de
- Upgrade to 0.1.1.1 from upstream
  Fix performance regression in encoding.
  The encoding table wasn't being let-floated when URL encoding support was
  added, and so it was being regenerated on every call, with catastrophic
  performance consequences (600x slowdown for small inputs on my machine).
  This fixes gh-4.
* Fri Jan 20 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
